Subject: Re: bug#41732: New ’package-with-emacs-next’ procedure

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 26 Sep 2020 23:45:09 -0400

Hi Nicolas,

Nicolas Goaziou <[email-masked]> writes:

> Hello,
>
> zimoun <[email-masked]> writes:
>
>> I withdraw the patch proposal since the patch set #43578 [1] fulfills
>> the request.  Now, for recompiling all the Emacs packages of one
>> manifest.scm file with the emacs-next package (changing the Emacs VM),
>> it is as easy as:
>>
>> --8<---------------cut here---------------start------------->8---
>> guix build -m manifest.scm --with-input=emacs-minimal=emacs-next
>> --8<---------------cut here---------------end--------------->8---
>
> Some Emacs packages rely on emacs package, not on emacs-minimal. IIUC,
> the command above could give surprising results in this case. Maybe the
> documentation/cookbook could warn about this caveat.

Perhaps then,

--8<---------------cut here---------------start------------->8---
guix build -m manifest.scm --with-input=emacs-minimal=emacs-next \
     --with-input=emacs=emacs-next
--8<---------------cut here---------------end--------------->8---

I haven't tried myself.

Maxim